package cn.com.poc.agent_application.domain;

import cn.com.poc.agent_application.entity.Variable;

import java.util.List;

/**
 * agent应用对话配置
 */
public class AgentApplicationCommConfig {

    /**
     * preamble
     * 开场白
     */
    private java.lang.String preamble;

    public java.lang.String getPreamble() {
        return this.preamble;
    }

    public void setPreamble(java.lang.String preamble) {
        this.preamble = preamble;
    }

    /**
     * featured_questions
     * 推荐问
     */
    private java.lang.String[] featuredQuestions;

    public java.lang.String[] getFeaturedQuestions() {
        return this.featuredQuestions;
    }

    public void setFeaturedQuestions(java.lang.String[] featuredQuestions) {
        this.featuredQuestions = featuredQuestions;
    }

    /**
     * continuous_question_status
     * 追问状态   默认-default   自定义-customizable  关闭-close
     */
    private java.lang.String continuousQuestionStatus;

    public java.lang.String getContinuousQuestionStatus() {
        return this.continuousQuestionStatus;
    }

    public void setContinuousQuestionStatus(java.lang.String continuousQuestionStatus) {
        this.continuousQuestionStatus = continuousQuestionStatus;
    }

    /**
     * continuous_question_system
     * 追问prompt
     */
    private java.lang.String continuousQuestionSystem;

    public java.lang.String getContinuousQuestionSystem() {
        return this.continuousQuestionSystem;
    }

    public void setContinuousQuestionSystem(java.lang.String continuousQuestionSystem) {
        this.continuousQuestionSystem = continuousQuestionSystem;
    }

    /**
     * continuous_question_turn
     * 追问轮次
     */
    private java.lang.Integer continuousQuestionTurn;

    public java.lang.Integer getContinuousQuestionTurn() {
        return this.continuousQuestionTurn;
    }

    public void setContinuousQuestionTurn(java.lang.Integer continuousQuestionTurn) {
        this.continuousQuestionTurn = continuousQuestionTurn;
    }

    /**
     * variable_structure
     * 变量结构
     */
    private List<Variable> variableStructure;

    public List<Variable> getVariableStructure() {
        return variableStructure;
    }

    public void setVariableStructure(List<Variable> variableStructure) {
        this.variableStructure = variableStructure;
    }

    /**
     * is_long_memory
     * 是否开启长期记忆 1、Y 是 2、N 否
     */
    private java.lang.String isLongMemory;

    public java.lang.String getIsLongMemory() {
        return this.isLongMemory;
    }

    public void setIsLongMemory(java.lang.String isLongMemory) {
        this.isLongMemory = isLongMemory;
    }

}
